package javax.swing;

import java.awt.event.ActionEvent;
import java.awt.Color;
import java.io.Serializable;
import java.awt.event.ActionListener;

class ColorTracker implements ActionListener, Serializable
{
    JColorChooser chooser;
    Color color;
    
    public ColorTracker(JColorChooser chooser) {
        this.chooser = chooser;
    }
    
    @Override
    public void actionPerformed(ActionEvent actionEvent) {
        this.color = this.chooser.getColor();
    }
    
    public Color getColor() {
        return this.color;
    }
}
